search

Control Center 1.9.0

This page describes the changes in Control Center since release 1.8.0.

Beginning with version 1.4.0, Docker images for Control Center are no longer available on Docker Hub. The images are included in self-installing archive files that are available for download from Zenoss. Likewise, the RPM packages that are required for installations and upgrades are no longer available from Zenoss repositories on the internet, and must be downloaded. However, the Docker images and RPM packages for previous releases are still available from Docker Hub and Zenoss repositories, respectively.

Beginning 1 December 2017, downloads for Zenoss Service Dynamics customers are available on delivery.zenoss.io

For more information about Control Center operating environments, see Tested operating environments.

New features

The Elasticsearch, Kibana, and Logstash services are updated to version 7.12.0. In addition, this release supports Java 11 and RHEL 8.3.

Update considerations

  • Updates from 1.7.0 to 1.9.0 and 1.8.0 to 1.9.0 have been tested. Updates from earlier releases have not been tested. Please update to 1.7.0 or 1.8.0 before updating to 1.9.0.
  • The serviced RPM includes a script that requires uid/gid 1001 for its own use. If 1001 is already in use for another user/group, change it temporarily before starting this procedure.

  • The master host update procedure includes an option to migrate application (Resource Manager) log data. This option could take many hours to perform; the procedure includes instructions for estimating the amount of time required to perform a migration. Zenoss recommends reviewing the procedure before performing it.
  • The Kibana UI is updated in this release. The new UI displays log data differently, but log data is unchanged. Any customizations of the Kibana dashboard or UI may need to be adjusted manually.
  • Docker logs of the serviced-isvcs_logstash service include WARN messages regarding a required plugin. These messages can be ignored.
  • Docker logs of the serviced-isvcs_elasticsearch-logstash service include warnings regarding the required plugin, too, and can also be ignored.
  • Updates require an additional image, zenoss/serviced-isvcs:v68, which can be removed from the registry after the update.

Fixed issues

IDDescription
CC-4410The embedded security certificate is out-of-date

Known issues

IDDescription
CC-4463Scripts embedded in the serviced RPM package use /opt/serviced/var/isvcs instead of the SERVICED_ISVCS_PATH value from /etc/default/serviced